#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-zope.exceptions.spec)

%define	module	zope.exceptions
Summary:	Zope Exceptions
Summary(pl.UTF-8):	Zope Exceptions - wyjątki Zope
Name:		python-%{module}
# keep 4.x here for python2 support
Version:	4.6
Release:	4
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-exceptions/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.exceptions/zope.exceptions-%{version}.tar.gz
# Source0-md5:	606505125f5d2b7484f300d1530316c3
URL:		https://www.zope.org/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-zope.interface
BuildRequires:	python-zope.testrunner
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.interface
BuildRequires:	python3-zope.testrunner
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-2
BuildRequires:	python-repoze.sphinx.autointerface
%endif
Requires:	python-modules >= 1:2.7
Requires:	python-zope-base
Obsoletes:	Zope-Exceptions < 4.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains exception exceptions and implementations which
are so general purpose that they don't belong in Zope
application-specific packages.

%description -l pl.UTF-8
Ten pakiet zawiera wyjątki oraz implementacje wyjątków, mających na
tyle ogólne zastosowanie, że nie należą do żadnego z pakietów Zope
specyficznych dla aplikacji.

%package -n python3-%{module}
Summary:	Zope Exceptions
Summary(pl.UTF-8):	Zope Exceptions - wyjątki Zope
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5
Requires:	python3-zope-base

%description -n python3-%{module}
This package contains exception exceptions and implementations which
are so general purpose that they don't belong in Zope
application-specific packages.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet zawiera wyjątki oraz implementacje wyjątków, mających na
tyle ogólne zastosowanie, że nie należą do żadnego z pakietów Zope
specyficznych dla aplikacji.

%package apidocs
Summary:	API documentation for Python zope.exceptions module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.exceptions
Group:		Documentation

%description apidocs
API documentation for Python zope.exceptions module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.exceptions.

%prep
%setup -q -n zope.exceptions-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m zope.testrunner --test-path=src
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m zope.testrunner --test-path=src
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install \
	--install-purelib=%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
%py3_install \
	--install-purelib=%{py3_sitescriptdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py_sitescriptdir}/zope/exceptions
%{py_sitescriptdir}/zope.exceptions-%{version}-py*.egg-info
%{py_sitescriptdir}/zope.exceptions-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/exceptions
%{py3_sitescriptdir}/zope.exceptions-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.exceptions-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%defattr(644,root,root,755)
%files apidocs
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Mon Apr 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.exceptions.git;a=log;h=master

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> cc8f006
- use python2/Sphinx 1.x for docs

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> b236ad6
- disable python3 here, release 4

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 69a2a5e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 259bece
- python 3.13 rebuild

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 4217ca4
- updated to 4.6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e9c9e39
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5312cd1
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> ad84c7e
- updated to 4.5
- versioned Obsoletes

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> d6a804f
- noarch package
- rel 3

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 37b44a5
- disable debug packages; rel 2

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 5a397db
- package apidocs

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> c68ac94
- updated to 4.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a8b7e65
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ee4e915
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c6dcd06
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8ba5e1d
- python2/python3 bconds fixes

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> e081423
- renamed to python-zope.exceptions, Py3 support

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8e88bdb
- new package

